cURL
curl -X GET "https://app.cotool.ai/api/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"{
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"detections": [
{
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentName": "<string>",
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"alertCount30d": 1,
"openUnassignedCount": 1
}
],
"triggers": [
{
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerName": "<string>",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createAlert": true,
"alertCount30d": 1
}
],
"responseAgentSummaries": [
{
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"activeAssignedAlertCount": 1,
"alertCount30d": 1,
"lastTriageRunAt": "<string>",
"sourceNames": []
}
]
}Alerts
Get alert routing overview
Return detection alert routing defaults, per-detection effective routing, alert producers, and response-agent handling summary.
GET
/
api
/
alert-routing
cURL
curl -X GET "https://app.cotool.ai/api/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"{
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"detections": [
{
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentName": "<string>",
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"alertCount30d": 1,
"openUnassignedCount": 1
}
],
"triggers": [
{
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerName": "<string>",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createAlert": true,
"alertCount30d": 1
}
],
"responseAgentSummaries": [
{
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"activeAssignedAlertCount": 1,
"alertCount30d": 1,
"lastTriageRunAt": "<string>",
"sourceNames": []
}
]
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Was this page helpful?
⌘I